From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 27 July 2007<P>

Savannah Haze, about <a href="/blend/wv.cgi?id=2007.07.27.02.04.12449">Letters Let Her Go</a>:<BR>
This is great. Very touching...
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 27 July 2007<P>

jwb71913, about <a href="/blend/wv.cgi?id=2007.07.26.14.58.23702">East side ball game</a>:<BR>
:) love it, made me smile
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 27 July 2007<P>

redplasticroses, about <a href="/blend/wv.cgi?id=2007.07.26.06.55.15009">The Artist</a>:<BR>
This is beautiful.
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 27 July 2007<P>

So lovely to see traffic on the board :)
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 27 July 2007<P>

Kirk, where is the feature!?
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 27 July 2007<P>

The heart thing with the wand and hat is so cute... :)
<HR>
From: <a href="/blend/av.cgi?id=1139">jwb71913</a><BR>
Date: 27 July 2007<P>

Thanks BK and Star.  I've been so busy the past year now that the family has grown.  Two new fillies, an old boat, two teenagers who won't go away and best of all a new wife.<BR>
<BR>
Life is just damn good right now.
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 27 July 2007<P>

Savannah Haze, about <a href="/blend/wv.cgi?id=2007.07.27.02.04.12449">Letters Let Her Go</a>:<BR>
<BR>
Seriously amazing, S.  I read them, several times.  Powerful, direct, and so very honest.  <BR>
<BR>
Thanks for sharing them, my dear.
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 27 July 2007<P>

Pretend I'm lazy. <BR>
Could someone explain the current "challenge"? I'll put a summary up on this page and the front page.
<HR>